package pipe;

import java.util.concurrent.LinkedBlockingQueue;

public class MyRunnableConsumer implements Runnable {

	private LinkedBlockingQueue<Integer> pipe;
	private final int maxIterations;

	public MyRunnableConsumer(LinkedBlockingQueue<Integer> pipe,
			int maxIterations) {
		this.pipe = pipe;
		this.maxIterations = maxIterations;
	}

	@Override
	public void run() {
		for (int i = 0; i < this.maxIterations; i++) {
			try {
				System.out.println("Take " + pipe.take() + " from pipe.");
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
}
